Astrocal
API ReferenceTeamV1OrganizationsOrgidInvitations

Create invitation

Sends an email invitation to join the organization.

POST
/v1/organizations/{orgId}/invitations

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Path Parameters

orgId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/invitations" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "role": "admin"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
  "email": "string",
  "role": "owner",
  "status": "pending",
  "invited_by": "string",
  "expires_at": "string",
  "accepted_at": "string",
  "created_at": "string"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}